Index: target/classes/static/css/shared.css
===================================================================
--- target/classes/static/css/shared.css	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/static/css/shared.css	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -164,5 +164,5 @@
 .genres-listing ul li{
     background-color: rgba(192,128,128,0.7);
-    text-decoration: none !important;
+    text-decoration: none;
 }
 
@@ -214,2 +214,90 @@
     display: none;
 }
+
+.user-text{
+    font-size: 95%;
+    text-decoration: none !important;
+    text-decoration-color: transparent;
+    text-align: justify;
+}
+
+.user-text-small{
+    font-size: 85%;
+    text-decoration: none !important;
+    text-decoration-color: transparent;
+    text-align: justify;
+}
+
+
+.user-movies-list{
+    margin: auto;
+    margin-top: 20px;
+    padding: 10px;
+    width: 80%;
+    background-color: rgba(52, 58, 64, 0.7);
+    border-radius: 10px;
+    transition: 200ms;
+    margin-right: 15px;
+    color: white;
+    transition: 200ms;
+}
+
+.user-movies-list:hover{
+    background-color: rgba(52, 58, 64, 1);
+}
+
+.user-movies-list ul{
+    list-style-type: none;
+    width: 99%;
+    margin: auto;
+    display: none;
+}
+
+.hidden-class{
+    background-color: rgba(192,255,192,0.6);
+    color: black;
+}
+
+.hidden-class:hover{
+    background-color: rgba(128,255,128,1) !important;
+
+}
+
+.user-movies-list ul li{
+    color:black;
+    background-color: rgba(255,255,255,0.7);
+    padding: 12px;
+    font-size: 80%;
+    width: 90%;
+    text-align: center;
+    margin: auto;
+    transition: 200ms;
+    border-radius: 10px;
+    margin-bottom: 5px;
+    text-decoration: none;
+    float: left;
+}
+
+.user-movies-list hr{
+    color: white;
+    background-color: white;
+    border-color: white;
+}
+
+
+.user-movies-list ul li:hover{
+    background-color: rgba(255,255,255,1);
+}
+
+.rate-title{
+    font-size: 130%;
+}
+
+#buttons-person{
+    margin-top: 10px;
+}
+
+#buttons-person li{
+    float: left;
+    margin-right: 10px;
+}
Index: target/classes/static/js/sharedScript.js
===================================================================
--- target/classes/static/js/sharedScript.js	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/static/js/sharedScript.js	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -88,4 +88,18 @@
         else
             $("#filters_div").fadeToggle();
+    })
+
+    $(".user-movies-list").on("click", function (){
+        children = $(this).children()
+        first = true
+        for (let item of children){
+            if(first){
+                first = !first
+            }
+            else{
+                $(item).fadeToggle();
+            }
+        }
+        $(this).toggleClass("hidden-class")
     })
 
Index: target/classes/templates/discussion.html
===================================================================
--- target/classes/templates/discussion.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/discussion.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -19,5 +19,7 @@
         <br>
         <h6 style="width: 60%; float:left;">
+            <a th:href="@{'/profiles/{id}' (id=${disc.getUser().getUserId()})}" >
             <span th:text="${'Поставено од: '+disc.getUser().getUsername()}"></span>
+            </a>
             <span th:text="${', на датум '+ disc.getDate()}"></span>
             <br>
@@ -48,5 +50,7 @@
             <td th:text="${reply.getText()}"></td>
             <td th:text="${reply.getDate()}"></td>
-            <td th:text="${reply.getUser().getUsername()}"></td>
+            <td >
+                <a th:href="@{'/profiles/{id}' (id=${reply.getUser().getUserId()})}" th:text="${reply.getUser().getUsername()}"></a>
+            </td>
             <td th:if="${reply.getUser().equals(user)}"><a class="btn btn-warning" th:href="@{'/replies/edit/{discussionId}/{replyId}' (discussionId=${disc.getDiscussionId()},replyId=${reply.getReplyId()})}">Промени</a> </td>
             <td th:if="${reply.getUser().equals(user)}"><a class="btn btn-danger button-delete-reply" th:reply-id="${reply.getReplyId()}" th:dicsussion-id="${disc.getDiscussionId()}">Избриши</a> </td>
Index: target/classes/templates/discussionsList.html
===================================================================
--- target/classes/templates/discussionsList.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/discussionsList.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -1,5 +1,5 @@
 <div xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
     <div class="container mb-4">
-        <a sec:authorize="isAuthenticated()" th:href="@{/discussions/add}">Додади нова дискусија</a>
+        <a sec:authorize="isAuthenticated()" th:href="@{/discussions/add}" class="btn btn-secondary">Додади нова дискусија</a>
     </div>
     <div class="container mb-4">
Index: target/classes/templates/movieShow.html
===================================================================
--- target/classes/templates/movieShow.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/movieShow.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -78,4 +78,7 @@
         <div th:each="rating: ${movie.getRates()}" style="margin-bottom: 10px; border: 2px solid gray; border-radius: 10px; background-color: lightblue; padding: 10px; border-radius: 10px; min-height: 130px;">
                 <div style="width: 60%; float:left;">
+                    <a th:href="@{'/profiles/{id}' (id=${rating.getUser().getUserId()})}">
+                        <h4 th:text="${'Oд: '+rating.getUser().getName() + ' ' + rating.getUser().getSurname()}"> </h4>
+                    </a>
                     <p th:text="${rating.getReason()}" style="text-align: justify"></p>
                 </div>
@@ -93,8 +96,10 @@
         <div th:each="liked: ${movie.getLikes()}" style="margin-bottom: 10px; border: 2px solid gray; border-radius: 10px; background-color: lightblue; padding: 10px; border-radius: 10px; min-height: 60px;">
             <div style="width: 100%; float:left;">
-                <h3  style="text-align: center">
-                    <span th:text="${liked.getUser().getName() + ' ' + liked.getUser().getSurname()}"></span>
-                    <span style="color: green; font-size: 100%" >✔</span>
-                </h3>
+                <a th:href="@{'/profiles/{id}' (id=${liked.getUser().getUserId()})}" >
+                    <h3  style="text-align: center">
+                        <span th:text="${liked.getUser().getName() + ' ' + liked.getUser().getSurname()}"></span>
+                        <span style="color: green; font-size: 100%" >✔</span>
+                    </h3>
+                </a>
             </div>
         </div>
Index: target/classes/templates/moviesListPaged.html
===================================================================
--- target/classes/templates/moviesListPaged.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/moviesListPaged.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -30,5 +30,5 @@
 
     <div class="container mb-4">
-        <a  sec:authorize="isAuthenticated()" th:href="@{/movies/add}">Додади нов филм</a>
+        <a  sec:authorize="isAuthenticated()" th:href="@{/movies/add}" class="btn btn-secondary">Додади нов филм</a>
     </div>
 
@@ -46,6 +46,6 @@
                         </span>
                         <th:block sec:authorize="isAuthenticated()">
-                            <a class="bottom-heart btn btn-success button-add-favourite-list" th:movie-id="${movie.getMovieId()}" th:user-id="${user.getUserId()}" th:if="${!likedMovies.contains(movie)}">❤</a>
-                            <a class="bottom-heart btn btn-danger button-remove-favourite-list" th:movie-id="${movie.getMovieId()}" th:user-id="${user.getUserId()}" th:if="${likedMovies.contains(movie)}">💔</a>
+                            <button class="bottom-heart btn btn-success button-add-favourite-list" th:movie-id="${movie.getMovieId()}" th:user-id="${user.getUserId()}" th:if="${!likedMovies.contains(movie)}">❤</button>
+                            <button class="bottom-heart btn btn-danger button-remove-favourite-list" th:movie-id="${movie.getMovieId()}" th:user-id="${user.getUserId()}" th:if="${likedMovies.contains(movie)}">💔</button>
                         </th:block>
                     </div>
Index: target/classes/templates/personShow.html
===================================================================
--- target/classes/templates/personShow.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/personShow.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -5,5 +5,5 @@
             <h1 th:text="${person.getName() + ' ' + person.getSurname()}" style="text-align: center; padding:10px; background-color: rgba(64,64,64,0.5); color:white; border-radius: 10px 0px"></h1>
             <hr>
-            <h3 th:text="${'Роден на: ' + person.getDateFormatted()}"></h3>
+            <h3 th:text="${'Роден/а на: ' + person.getDateFormatted()}"></h3>
             <div style="background-color: rgba(200,200,200,0.5); border-radius: 10px; padding:15px; ">
                 <h3>Краток Опис:</h3>
@@ -24,5 +24,14 @@
                     <li th:each="movie: ${person.getMovieActors()}" ><a th:text="${movie.getMovie().getTitle()}" th:href="@{'/movies/{id}' (id=${movie.getMovie().getMovieId()})}" ></a></li>
                 </ul>
-            </div>
+            </div><br>
+            <ul style="list-style-type: none; width: 100%; margin: auto" id="buttons-person">
+                <li><a class="btn btn-primary" th:href="@{'discussions/all/{id}?type=P' (id=${person.getPersonId()})}" >Прегледај дискусии</a></li>
+                <th:block sec:authorize="isAuthenticated()">
+                    <li><a class="btn btn-secondary button-add-grade-person" th:person-id="${person.getPersonId()}" th:if="${!person.hasGradeFromUser(user)}">Остави оценка</a></li>
+                    <li><a class="btn btn-secondary button-add-grade-person" th:person-id="${person.getPersonId()}" th:if="${person.hasGradeFromUser(user)}">Промени оценка</a></li>
+                    <li><a class="btn btn-warning" th:href="@{'persons/edit/{personId}' (personId = ${person.getPersonId()})}">Промени</a></li>
+                    <li><a class="btn btn-danger button-delete-actor" th:person-id="${person.getPersonId()}">Избриши</a></li>
+                </th:block>
+            </ul>
         </div>
         <div style="width: 30%; margin-left: 10px; padding:20px; border-left: 3px solid black; border-radius: 10px; float:right">
@@ -39,4 +48,7 @@
         <div th:each="rating: ${person.getPersonRates()}" style="margin-bottom: 10px; border: 2px solid gray; border-radius: 10px; background-color: lightblue; padding: 10px; border-radius: 10px; min-height: 130px;">
             <div style="width: 60%; float:left;">
+                <a th:href="@{'/profiles/{id}' (id=${rating.getUser().getUserId()})}">
+                    <h4 th:text="${'Oд: '+rating.getUser().getName() + ' ' + rating.getUser().getSurname()}"> </h4>
+                </a>
                 <p th:text="${rating.getReason()}" style="text-align: justify"></p>
             </div>
Index: target/classes/templates/personsList.html
===================================================================
--- target/classes/templates/personsList.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/personsList.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -1,6 +1,6 @@
 <div xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
 
-    <div>
-        <a sec:authorize="isAuthenticated()" th:href="@{'persons/add'}">Додади актер или режисер</a>
+    <div style="width: 70%; margin: auto;">
+        <a sec:authorize="isAuthenticated()" th:href="@{'persons/add'}" class="btn btn-secondary">Додади актер или режисер</a>
     </div>
     <div class="container mb-4">
@@ -47,5 +47,4 @@
                                 <td>
                                     <a class="btn btn-secondary button-add-grade-person" th:person-id="${person.getPersonId()}">Остави оценка</a>
-
                                 </td>
                             <td>
Index: target/classes/templates/template.html
===================================================================
--- target/classes/templates/template.html	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ target/classes/templates/template.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -16,9 +16,12 @@
 </head>
 <body>
-<section class="jumbotron text-center" style="background: url('/img/cover.jpg') center; background-repeat: no-repeat; background-size: 100% auto; height: 280px; margin-bottom: 0px ">
-    <div class="container" >
-        <h1 class="jumbotron-heading" style="z-index: -1"></h1>
-    </div>
-</section>
+<a href="/movies">
+
+    <section class="jumbotron text-center" style="background: url('/img/cover.jpg') center; background-repeat: no-repeat; background-size: 100% auto; height: 280px; margin-bottom: 0px ">
+        <div class="container" >
+            <h1 class="jumbotron-heading" style="z-index: -1"></h1>
+        </div>
+    </section>
+</a>
 
 <header th:replace="fragments/header"></header>
Index: target/classes/templates/usersShow.html
===================================================================
--- target/classes/templates/usersShow.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
+++ target/classes/templates/usersShow.html	(revision 967b4147750aa95679c241f77cdfe4e00b979936)
@@ -0,0 +1,83 @@
+
+<div xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
+    <div style="width: 70%; margin: auto">
+        <h1 th:text="${user.getName() + ' ' + user.getSurname()}" style="text-align: center; padding:10px; background-color: rgba(64,64,64,0.5); color:white; border-radius: 10px 0px"></h1>
+        <hr>
+        <div style="width: 80%; margin: auto">
+            <h3>
+                <span>Е-маил:</span>
+                <span th:text="${user.getEmail()}"></span>
+            </h3>
+            <h3>
+                <span>Корисничко име:</span>
+                <span th:text="${user.getUsername()}"></span>
+            </h3>
+        </div>
+    </div>
+    <div style="width: 60%; margin:auto">
+        <div class="user-movies-list genres-listing hidden-class" style="width: 45%;float: left">
+            <h3>Жанрови кои му се допаднале на корисникот:</h3>
+            <ul>
+                <li th:each="genre: ${user.getUserGenres()}" th:text="${genre.getGenre().getGenreType()}"></li>
+            </ul>
+        </div>
+        <div class="user-movies-list genres-listing hidden-class" style="width: 45%;float: left">
+            <h3>Филмови кои му се допаднале на корисникот:</h3>
+            <ul>
+                <div th:each="movie: ${user.getMovieLikes()}">
+                    <a th:href="@{'/movies/{id}' (id=${movie.getMovie().getMovieId()})}">
+                        <li th:text="${movie.getMovie().getTitle()}"></li>
+                    </a>
+                </div>
+            </ul>
+        </div>
+    </div>
+    <div style="width: 60%; margin: auto">
+        <div class="user-movies-list hidden-class" style="width: 45%;float: left">
+            <h3>Актери и Режисери на кои корисникот им дал оцена:</h3>
+            <ul>
+                <li th:each="person: ${user.getPersonRates()}">
+                    <a th:text="${person.getPerson().getName() + ' ' + person.getPerson().getSurname()}" th:href="@{'/persons/{id}' (id=${person.getPerson().getPersonId()})}" class="rate-title"></a>
+                    <hr>
+                    <h4 th:text="${person.getStarsRated() + '/10'}"></h4>
+                    <br>
+                    <p th:text="${person.getReason()}" class="user-text"></p>
+                </li>
+            </ul>
+        </div>
+        <div class="user-movies-list hidden-class" style="width: 45%;float: left">
+            <h3>Филмови на кои корисникот им дал оцена:</h3>
+            <ul>
+                <li th:each="movieRates: ${user.getMovieRates()}">
+                    <a th:text="${movieRates.getMovie().getTitle() }" th:href="@{'/movies/{id}' (id=${movieRates.getMovie().getMovieId()})}" class="rate-title"></a>
+                    <hr>
+                    <h4 th:text="${movieRates.getStarsRated() + '/10'}"></h4>
+                    <br>
+                    <p th:text="${movieRates.getReason()}" class="user-text"></p>
+                </li>
+            </ul>
+        </div>
+    </div>
+    <div style="width: 60%; margin: auto">
+        <div class="user-movies-list hidden-class" style="width: 45%;float: left">
+            <h3>Дискусии од корисникот:</h3>
+            <ul>
+                <li th:each="discussion: ${user.getDiscussions()}">
+                    <a th:text="${discussion.getTitle() }" th:href="@{'/discussions/{id}' (id=${discussion.getDiscussionId()})}" class="rate-title"></a>
+                    <hr>
+                    <p th:text="${discussion.getText()}" class="user-text-small"></p>
+                </li>
+            </ul>
+        </div>
+        <div class="user-movies-list hidden-class" style="width: 45%;float: left">
+            <h3>Реплики од корисникот:</h3>
+            <ul>
+                <li th:each="reply: ${user.getReplies()}">
+                    <a th:text="${reply.getDiscussion().getTitle() }" th:href="@{'/discussions/{id}' (id=${reply.getDiscussion().getDiscussionId()})}" class="rate-title"></a>
+                    <hr>
+                    <p th:text="${reply.getText()}" class="user-text-small"></p>
+                </li>
+            </ul>
+        </div>
+    </div>
+</div>