Index: Sources/src/.idea/workspace.xml
===================================================================
--- Sources/src/.idea/workspace.xml	(revision 980eeda285ff3ffb16a3a043cf9c4086a8686f85)
+++ Sources/src/.idea/workspace.xml	(revision 980eeda285ff3ffb16a3a043cf9c4086a8686f85)
@@ -0,0 +1,313 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project version="4">
+  <component name="AutoImportSettings">
+    <option name="autoReloadType" value="SELECTIVE" />
+  </component>
+  <component name="BranchesTreeState">
+    <expand>
+      <path>
+        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
+        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
+      </path>
+      <path>
+        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
+        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
+      </path>
+      <path>
+        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
+        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
+        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
+      </path>
+    </expand>
+    <select />
+  </component>
+  <component name="ChangeListManager">
+    <list default="true" id="a4a8594b-60d4-405f-854c-bbcb71f3615f" name="Default Changelist" comment="">
+      <change beforePath="$PROJECT_DIR$/../.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../.idea/workspace.xml" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/model/Person.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/model/Person.java" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/web/controller/MovieController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/web/controller/MovieController.java" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/model/Person.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/model/Person.class" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/service/impl/MovieServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/service/impl/MovieServiceImpl.class" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/web/controller/MovieController.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/wediscussmovies/project/web/controller/MovieController.class" afterDir="false" />
+    </list>
+    <option name="SHOW_DIALOG" value="false" />
+    <option name="HIGHLIGHT_CONFLICTS" value="true" />
+    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
+    <option name="LAST_RESOLUTION" value="IGNORE" />
+  </component>
+  <component name="FileTemplateManagerImpl">
+    <option name="RECENT_TEMPLATES">
+      <list>
+        <option value="Enum" />
+        <option value="HTML File" />
+        <option value="Class" />
+        <option value="Interface" />
+        <option value="JavaScript File" />
+        <option value="CSS File" />
+      </list>
+    </option>
+  </component>
+  <component name="Git.Settings">
+    <option name="PUSH_TAGS">
+      <GitPushTagMode>
+        <option name="argument" value="--tags" />
+        <option name="title" value="All" />
+      </GitPushTagMode>
+    </option>
+    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
+    <option name="ROOT_SYNC" value="SYNC" />
+  </component>
+  <component name="GitSEFilterConfiguration">
+    <file-type-list>
+      <filtered-out-file-type name="LOCAL_BRANCH" />
+      <filtered-out-file-type name="REMOTE_BRANCH" />
+      <filtered-out-file-type name="TAG" />
+      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
+    </file-type-list>
+  </component>
+  <component name="HighlightingSettingsPerFile">
+    <setting file="file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java" root0="FORCE_HIGHLIGHTING" />
+  </component>
+  <component name="MarkdownSettingsMigration">
+    <option name="stateVersion" value="1" />
+  </component>
+  <component name="MavenImportPreferences">
+    <option name="generalSettings">
+      <MavenGeneralSettings>
+        <option name="mavenHome" value="C:\Program Files\JetBrains\IntelliJ IDEA 2020.2.3\plugins\maven\lib\maven3" />
+      </MavenGeneralSettings>
+    </option>
+  </component>
+  <component name="ProblemsViewState">
+    <option name="selectedTabId" value="CurrentFile" />
+  </component>
+  <component name="ProjectId" id="23mBzDJUI8qS3mvmlQqwYAyAvEX" />
+  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
+  <component name="ProjectViewState">
+    <option name="hideEmptyMiddlePackages" value="true" />
+    <option name="showLibraryContents" value="true" />
+    <option name="showMembers" value="true" />
+  </component>
+  <component name="PropertiesComponent">
+    <property name="DatabaseDriversLRU" value="derby&#10;postgresql" />
+    <property name="DefaultHtmlFileTemplate" value="HTML File" />
+    <property name="JPA.DatabaseSchemaImportDialog" value="14a5fbd7-f501-41df-a0af-e3b168b536f7" />
+    <property name="RequestMappingsPanelOrder0" value="0" />
+    <property name="RequestMappingsPanelOrder1" value="1" />
+    <property name="RequestMappingsPanelWidth0" value="75" />
+    <property name="RequestMappingsPanelWidth1" value="75" />
+    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
+    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
+    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
+    <property name="ToolWindowRun.ShowToolbar" value="false" />
+    <property name="WebServerToolWindowFactoryState" value="false" />
+    <property name="aspect.path.notification.shown" value="true" />
+    <property name="database.data.extractors.current.export.id" value="Comma-separated (CSV)_id" />
+    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
+    <property name="list.type.of.created.stylesheet" value="CSS" />
+    <property name="nodejs_package_manager_path" value="npm" />
+    <property name="project.structure.last.edited" value="Modules" />
+    <property name="project.structure.proportion" value="0.15" />
+    <property name="project.structure.side.proportion" value="0.0" />
+    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
+    <property name="settings.editor.selected.configurable" value="project.propCompiler" />
+    <property name="vue.rearranger.settings.migration" value="true" />
+  </component>
+  <component name="ReactorSettings">
+    <option name="notificationShown" value="true" />
+  </component>
+  <component name="RecentsManager">
+    <key name="MoveFile.RECENT_KEYS">
+      <recent name="D:\FINKI\pet semestar\Bazi na podatoci - Vangel\Proekt\Aplikacija\src\main\resources\templates" />
+      <recent name="D:\FINKI\pet semestar\Bazi na podatoci - Vangel\Proekt\Aplikacija\src\main\resources\templates\addForm" />
+      <recent name="D:\FINKI\pet semestar\Bazi na podatoci - Vangel\Proekt\Aplikacija\src\main\resources\templates\list" />
+      <recent name="D:\FINKI\pet semestar\Bazi na podatoci - Vangel\Proekt\Aplikacija\src\main\resources\static" />
+      <recent name="D:\FINKI\pet semestar\Bazi na podatoci - Vangel\Proekt\Aplikacija\src\main\resources" />
+    </key>
+    <key name="ImportMappingsDialog.RecentPackages">
+      <recent name="com.wediscussmovies.project.model" />
+      <recent name="" />
+    </key>
+  </component>
+  <component name="RunManager">
+    <configuration name="WeDiscussMoviesApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
+      <module name="project" />
+      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wediscussmovies.project.WeDiscussMoviesApplication" />
+      <method v="2">
+        <option name="Make" enabled="true" />
+      </method>
+    </configuration>
+  </component>
+  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
+  <component name="TaskManager">
+    <task active="true" id="Default" summary="Default task">
+      <changelist id="a4a8594b-60d4-405f-854c-bbcb71f3615f" name="Default Changelist" comment="" />
+      <created>1642329643351</created>
+      <option name="number" value="Default" />
+      <option name="presentableId" value="Default" />
+      <updated>1642329643351</updated>
+      <workItem from="1642329645193" duration="3388000" />
+      <workItem from="1642333165483" duration="65000" />
+      <workItem from="1642333932041" duration="2285000" />
+      <workItem from="1642336266256" duration="7264000" />
+      <workItem from="1642349306319" duration="9640000" />
+      <workItem from="1642359262934" duration="2317000" />
+      <workItem from="1642363004321" duration="310000" />
+      <workItem from="1642365615144" duration="20000" />
+      <workItem from="1642408707962" duration="2484000" />
+      <workItem from="1642416570573" duration="49000" />
+      <workItem from="1642507758659" duration="12611000" />
+      <workItem from="1643668233298" duration="5891000" />
+      <workItem from="1643748587140" duration="15703000" />
+      <workItem from="1643799257380" duration="29336000" />
+      <workItem from="1643843526838" duration="3145000" />
+      <workItem from="1643881602109" duration="3819000" />
+      <workItem from="1643886825761" duration="37019000" />
+      <workItem from="1643995653052" duration="16903000" />
+      <workItem from="1644076897838" duration="1796000" />
+      <workItem from="1644182017143" duration="2618000" />
+      <workItem from="1644188541885" duration="101000" />
+      <workItem from="1644394641877" duration="3000000" />
+      <workItem from="1644413847607" duration="5878000" />
+      <workItem from="1644434959080" duration="3880000" />
+      <workItem from="1644490552754" duration="12346000" />
+      <workItem from="1644512752004" duration="110000" />
+      <workItem from="1644512902919" duration="20000" />
+      <workItem from="1644516085152" duration="60991000" />
+      <workItem from="1644670992588" duration="38631000" />
+      <workItem from="1644751159054" duration="19826000" />
+      <workItem from="1644798201608" duration="83000" />
+      <workItem from="1644834017672" duration="3811000" />
+      <workItem from="1644846305674" duration="494000" />
+      <workItem from="1644848678401" duration="934000" />
+      <workItem from="1645040265988" duration="610000" />
+      <workItem from="1645084657658" duration="2917000" />
+      <workItem from="1645096576209" duration="3594000" />
+      <workItem from="1645129020507" duration="6559000" />
+      <workItem from="1645178345707" duration="8315000" />
+      <workItem from="1645390677675" duration="62000" />
+      <workItem from="1645391262999" duration="6000" />
+      <workItem from="1645398055076" duration="831000" />
+      <workItem from="1645399484372" duration="70000" />
+      <workItem from="1645702078119" duration="657000" />
+      <workItem from="1645899508521" duration="1917000" />
+      <workItem from="1645909508547" duration="641000" />
+      <workItem from="1663275297189" duration="3935000" />
+      <workItem from="1663358017952" duration="3461000" />
+    </task>
+    <task id="LOCAL-00001" summary="Model-database resolved bugs for mapping">
+      <created>1642522697517</created>
+      <option name="number" value="00001" />
+      <option name="presentableId" value="LOCAL-00001" />
+      <option name="project" value="LOCAL" />
+      <updated>1642522697517</updated>
+    </task>
+    <task id="LOCAL-00002" summary="Added CRUD for movies,persons,discussion,replies,genres&#10;Added ajaxcalls">
+      <created>1644013333740</created>
+      <option name="number" value="00002" />
+      <option name="presentableId" value="LOCAL-00002" />
+      <option name="project" value="LOCAL" />
+      <updated>1644013333740</updated>
+    </task>
+    <option name="localTasksCounter" value="3" />
+    <servers />
+  </component>
+  <component name="TypeScriptGeneratedFilesManager">
+    <option name="version" value="3" />
+  </component>
+  <component name="Vcs.Log.History.Properties">
+    <option name="COLUMN_ID_ORDER">
+      <list>
+        <option value="Default.Root" />
+        <option value="Default.Author" />
+        <option value="Default.Date" />
+        <option value="Default.Subject" />
+        <option value="Space.CommitStatus" />
+      </list>
+    </option>
+  </component>
+  <component name="Vcs.Log.Tabs.Properties">
+    <option name="TAB_STATES">
+      <map>
+        <entry key="MAIN">
+          <value>
+            <State />
+          </value>
+        </entry>
+      </map>
+    </option>
+  </component>
+  <component name="VcsManagerConfiguration">
+    <MESSAGE value="Model-database resolved bugs for mapping" />
+    <MESSAGE value="Added CRUD for movies,persons,discussion,replies,genres&#10;Added ajaxcalls" />
+    <option name="LAST_COMMIT_MESSAGE" value="Added CRUD for movies,persons,discussion,replies,genres&#10;Added ajaxcalls" />
+  </component>
+  <component name="XDebuggerManager">
+    <breakpoint-manager>
+      <breakpoints>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>jar://$MAVEN_REPOSITORY$/com/zaxxer/HikariCP/4.0.3/HikariCP-4.0.3.jar!/com/zaxxer/hikari/HikariDataSource.class</url>
+          <line>31</line>
+          <option name="timeStamp" value="1" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>jar://$MAVEN_REPOSITORY$/com/zaxxer/HikariCP/4.0.3/HikariCP-4.0.3.jar!/com/zaxxer/hikari/HikariDataSource.class</url>
+          <line>111</line>
+          <option name="timeStamp" value="2" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java</url>
+          <line>58</line>
+          <option name="timeStamp" value="74" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java</url>
+          <line>63</line>
+          <option name="timeStamp" value="90" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/web/controller/DiscussionController.java</url>
+          <line>94</line>
+          <option name="timeStamp" value="104" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/web/controller/DiscussionController.java</url>
+          <line>163</line>
+          <option name="timeStamp" value="106" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="java-line">
+          <url>file://$PROJECT_DIR$/src/main/java/com/wediscussmovies/project/configuration/PasswordEncoder.java</url>
+          <line>11</line>
+          <option name="timeStamp" value="111" />
+        </line-breakpoint>
+        <breakpoint enabled="true" type="java-exception">
+          <properties class="org.springframework.data.mapping.PropertyReferenceException" package="org.springframework.data.mapping" />
+          <option name="timeStamp" value="6" />
+        </breakpoint>
+        <breakpoint enabled="true" type="java-exception">
+          <properties class="graphql.AssertException" package="graphql" />
+          <option name="timeStamp" value="96" />
+        </breakpoint>
+        <line-breakpoint enabled="true" type="javascript">
+          <url>file://$PROJECT_DIR$/src/main/resources/static/js/sharedScript.js</url>
+          <line>2</line>
+          <option name="timeStamp" value="71" />
+        </line-breakpoint>
+        <line-breakpoint enabled="true" type="javascript">
+          <url>file://$PROJECT_DIR$/src/main/resources/static/js/graphqlmovie.js</url>
+          <line>321</line>
+          <option name="timeStamp" value="101" />
+        </line-breakpoint>
+      </breakpoints>
+    </breakpoint-manager>
+    <pin-to-top-manager>
+      <pinned-members>
+        <PinnedItemInfo parentTag="com.wediscussmovies.project.model.Movie" memberName="director" />
+      </pinned-members>
+    </pin-to-top-manager>
+  </component>
+  <component name="com.intellij.coverage.CoverageDataManagerImpl">
+    <SUITE FILE_PATH="coverage/project$WeDiscussMoviesApplication.ic" NAME="WeDiscussMoviesApplication Coverage Results" MODIFIED="1644519581198" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
+  </component>
+</project>