Index: Prototype Application/Paw5/src/main/resources/templates/aboutUs.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -25,9 +25,15 @@
                         <a class="nav-link active" href="/home/aboutUs">About us</a>
                     </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login" >Login</a>
                     </li>
-                    <li class="nav-item m-auto">
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
                         <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
                     </li>
                 </ul>
@@ -38,5 +44,5 @@
 <h1>About Us</h1>
 <div>
-    <h5 class="text-center text-danger">
+    <h5 class="text-center text-danger" th:if="${session.user != null}">
         You successfully logged in
         <th:block  th:text="${session.user.getId()}"></th:block>
Index: Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,61 @@
+<!DOCTYPE html>
+<html lang="en" xmlns:th="http://www.thymeleaf.org">
+<head>
+    <meta charset="UTF-8">
+    <title>Unapproved adopters</title>
+    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
+          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
+            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
+            crossorigin="anonymous"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
+            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
+            crossorigin="anonymous"></script>
+    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
+            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
+            crossorigin="anonymous"></script>
+</head>
+<body>
+<header>
+    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+        <div class="container">
+            <a class="navbar-brand" href="/home">Paw 5</a>
+            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+                <span class="navbar-toggler-icon"></span>
+            </button>
+
+            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+                <ul class="navbar-nav m-auto">
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/home/aboutUs">About us</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login">Login</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </nav>
+</header>
+<div>
+  <h2>Adopters who are waiting for your approval</h2>
+    <ul>
+      <li
+          th:each="na : ${needApproval}"
+          th:text="${na.getName()}">
+          <!--napravi tabela-->
+      </li>
+    </ul>
+</div>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/home.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/home.html	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ Prototype Application/Paw5/src/main/resources/templates/home.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -24,9 +24,15 @@
             <a class="nav-link active" href="/home/aboutUs">About us</a>
           </li>
-          <li class="nav-item m-auto">
-            <a class="nav-link active" href="/login">Login</a>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/login" >Login</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active">Log out</a>
           </li>
           <li class="nav-item m-auto">
-            <a class="nav-link active" href="/register">Register</a>
+            <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
           </li>
         </ul>
@@ -38,5 +44,5 @@
 <div>
   <h1>Welcome to Paw 5</h1>
-  <h3>Let's get started
+  <h3 th:if="${session.user != null}">Let's get started
     <th:block  th:text="${session.user.getName()}"></th:block>
   </h3>
Index: Prototype Application/Paw5/src/main/resources/templates/login.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/login.html	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ Prototype Application/Paw5/src/main/resources/templates/login.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -25,9 +25,15 @@
             <a class="nav-link active" href="/home/aboutUs">About us</a>
           </li>
-          <li class="nav-item m-auto">
-            <a class="nav-link active" href="/login">Login</a>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/login" >Login</a>
           </li>
-          <li class="nav-item m-auto">
+          <li class="nav-item m-auto" th:if="${session.user == null}">
             <a class="nav-link active" href="/register">Register</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active">Log out</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
           </li>
         </ul>
Index: Prototype Application/Paw5/src/main/resources/templates/register.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/register.html	(revision da44aefab446c6f41792dadef297c98e1477752b)
+++ Prototype Application/Paw5/src/main/resources/templates/register.html	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -32,9 +32,15 @@
                         <a class="nav-link active" href="/home/aboutUs">About us</a>
                     </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
-                    </li>
-                    <li class="nav-item m-auto">
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login" >Login</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
                         <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
                     </li>
                 </ul>