Index: src/main/resources/static/js/admin.js
===================================================================
--- src/main/resources/static/js/admin.js	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/resources/static/js/admin.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -20,9 +20,8 @@
             }
         });
-        console.log(JSON.stringify(companiesToSave));
 
 
         $.ajax({
-            url: "http://localhost:8080/api/business",
+            url: "http://localhost:8080/api/admin",
             type:"PATCH",
             data: JSON.stringify(companiesToSave),
Index: src/main/resources/static/js/business_admin.js
===================================================================
--- src/main/resources/static/js/business_admin.js	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/resources/static/js/business_admin.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -2,5 +2,7 @@
     var business = {};
 
-    getBusinessInfo(business);
+    getBusinessInfo().then(function (data) {
+        business = data;
+    });
 
     getAppointments();
@@ -33,5 +35,4 @@
     $("#update_services_button").click(function () {
         businesses = [];
-        console.log("Gjoko");
         servicesObj = [];
         $.each($('#predefined_services_admin_panel input:checked').siblings(), function (index, label) {
@@ -43,5 +44,5 @@
             var price = $($($(label).parent()).siblings()[1]).children()[0].value;
 
-            var serviceType = {}
+            var serviceType = {};
             if (parseInt(id) != -1) {
                 service['id'] = parseInt(id);
@@ -56,22 +57,31 @@
             servicesObj.push(service);
         });
-        business['services'] = servicesObj;
-
-        businesses.push(business);
-        console.log(JSON.stringify(businesses));
-
-        $.ajax({
-            url: "http://localhost:8080/api/business",
-            type:"PATCH",
-            data: JSON.stringify(businesses),
-            contentType:"application/json; charset=utf-8",
-            dataType: 'text',
-            success: function(succ){
-                alert( "Updates applied successfully" );
-            },
-            error: function(err) {
-                alert(err);
-            }
-        });
+
+        var servicesForDelete=[];
+        $.each($('#predefined_services_admin_panel input:not(:checked)').siblings(), function (index, label) {
+            let id = $(label).prop('for');
+            let foundService = business['services'].find(obj => obj.id === parseInt(id));
+            if (foundService !== undefined && foundService['serviceStatus'] === 'ACTIVE') {
+                let service1 = {};
+                service1['id'] = id;
+                servicesForDelete.push(service1);
+            }
+        });
+
+
+        updateServices(servicesObj).then(function (response) {
+            getBusinessInfo().then(function (data) {
+                business = data;
+            });
+        });
+
+        if (servicesForDelete.length > 0) {
+            deleteServices(servicesForDelete).then(function (response) {
+                getBusinessInfo().then(function (data) {
+                    business = data;
+                });
+            });
+        }
+
         event.preventDefault();
     });
@@ -79,29 +89,71 @@
     $("#update_owner_button").click(function() {
         businesses = [];
-        business['owner']['firstName'] = $('#firstName').val();
-        business['owner']['lastName'] = $('#lastName').val();
-        business['owner']['email'] = $('#email').val();
-        business['owner']['phoneNumber'] = $('#phoneNumber').val();
-        business['owner']['username'] = $('#username').val();
+        owner={};
+        owner['firstName'] = $('#firstName').val();
+        owner['lastName'] = $('#lastName').val();
+        owner['email'] = $('#email').val();
+        owner['phoneNumber'] = $('#phoneNumber').val();
+        owner['username'] = $('#username').val();
+
+        business['owner'] = owner;
 
         businesses.push(business);
-        console.log(JSON.stringify(businesses));
-
-        $.ajax({
-            url: "http://localhost:8080/api/business",
-            type:"PATCH",
-            data: JSON.stringify(businesses),
-            contentType:"application/json; charset=utf-8",
-            dataType: 'text',
-            success: function(succ){
-                alert( "Updates applied successfully" );
-            },
-            error: function(err) {
-                alert(err);
-            }
+
+        updateBusinessInfo(businesses).then(function() {
+            getBusinessInfo().then(function (found) {
+                business = found;
+            });
         });
     });
     event.preventDefault();
 });
+
+function updateBusinessInfo(businessList) {
+    return $.ajax({
+        url: "http://localhost:8080/api/business",
+        type:"PATCH",
+        data: JSON.stringify(businessList),
+        contentType:"application/json; charset=utf-8",
+        dataType: 'text',
+        success: function(succ){
+            alert( "Updates applied successfully" );
+        },
+        error: function(err) {
+            alert(err);
+        }
+    });
+}
+
+function updateServices(serviceList) {
+    return $.ajax({
+        url: "http://localhost:8080/api/service",
+        type:"PATCH",
+        data: JSON.stringify(serviceList),
+        contentType:"application/json; charset=utf-8",
+        dataType: 'text',
+        success: function(succ){
+            alert( "Updates applied successfully" );
+        },
+        error: function(err) {
+            alert(err);
+        }
+    });
+}
+
+function deleteServices(services) {
+    return $.ajax({
+        url: "http://localhost:8080/api/service/delete",
+        type:"POST",
+        data: JSON.stringify(services),
+        contentType:"application/json; charset=utf-8",
+        dataType: 'text',
+        success: function(succ){
+            console.log("services deleted successfully");
+        },
+        error: function(err) {
+            console.error(err);
+        }
+    });
+}
 
 function cancelAppointment(appointmentId) {
@@ -123,5 +175,4 @@
         url: "http://localhost:8080/api/appointment/future/me"
     }).then(function (data) {
-        console.log(data);
         var $el = $("#bookings-table-body");
         $el.empty();
@@ -154,13 +205,12 @@
 }
 
-function getBusinessInfo(business) {
-    $.ajax({
+function getBusinessInfo() {
+    return $.ajax({
         url: "http://localhost:8080/api/business/me"
-    }).then(function (data) {
-        business = data;
+    }).then(function (business) {
         var $header = $("#header");
 
         // header
-        $header.text($header.text() + " " + business["owner"]['firstName'] + " " + business['owner']['lastName']);
+        $header.text("Welcome back " + business["owner"]['firstName'] + " " + business['owner']['lastName']);
 
         // business info
@@ -181,10 +231,17 @@
         var $el = $("#predefined_services_admin_panel");
         $el.empty();
+
         $.each(business['services'], function (index, obj) {
-            $el.append(
-                '<div class=\"form-outline mb-4\">' +
+
+            var element = '<div class=\"form-outline mb-4\">' +
                 '    <div class="row">' +
                 '        <div class="col-md-6">\n' +
-                '            <input class="form-check-input" type="checkbox" checked value=\"' + obj.id + '\" id=\"' + obj.id + '\">\n' +
+                '            <input class="form-check-input" type="checkbox" ';
+
+            if (obj['serviceStatus'] === 'ACTIVE') {
+                element += 'checked';
+            }
+
+            element += ' value=\"' + obj.id + '\" id=\"' + obj.id + '\">\n' +
                 '            <label class="form-check-label" for=\"' + obj.id + '\">\n' + obj['serviceType'].name + '</label>\n' +
                 '        </div>' +
@@ -196,6 +253,9 @@
                 '        </div>' +
                 '    </div>' +
-                '</div>');
-        });
-    });
-}
+                '</div>';
+
+            $el.append(element);
+        });
+        return business;
+    });
+}
Index: src/main/resources/static/js/customer_admin.js
===================================================================
--- src/main/resources/static/js/customer_admin.js	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/resources/static/js/customer_admin.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -16,6 +16,4 @@
         customerForSave['phoneNumber'] = $('#phoneNumber').val();
         customerForSave['username'] = $('#username').val();
-
-        console.log(JSON.stringify(customerForSave));
 
         $.ajax({
@@ -55,8 +53,4 @@
         const recipientId = button.getAttribute('data-bs-id');
 
-        console.log(recipientName + ' ' + recipientId);
-        // If necessary, you could initiate an Ajax request here
-        // and then do the updating in a callback.
-
         // Update the modal's content.
         const modalTitle = reviewModal.querySelector('.modal-title');
@@ -97,5 +91,4 @@
         url: "http://localhost:8080/api/appointment/future/me"
     }).then(function (data) {
-        console.log(data);
         var $el = $("#appointments-table-body");
         $el.empty();
@@ -194,5 +187,4 @@
         url: "http://localhost:8080/api/review/me"
     }).then(function (data) {
-        console.log(data);
         var $el = $("#my-reviews");
         $el.empty();
@@ -233,4 +225,5 @@
             $('#reviewModal').modal('toggle');
             getPastAppointments();
+            getReviewsForCustomer();
         },
         error: function(error) {
@@ -248,5 +241,5 @@
         }).success(function (data) {
             alert("Appointment successfully canceled.")
-            getAppointments();
+            getFutureAppointments();
         }).error(function (error) {
             alert("Something went wrong.");
Index: src/main/resources/static/js/homepage.js
===================================================================
--- src/main/resources/static/js/homepage.js	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/resources/static/js/homepage.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -102,4 +102,5 @@
             // get already stored service from in-memory
             selectedServices = businesses.find(item => item.id == selectedVal)['services'];
+            console.log(selectedServices);
             resetAndAppendServices(selectedServices);
         });
@@ -164,5 +165,7 @@
 
     $.each(services, function (index, obj) {
-        $el.append("<option value=" + obj.id + ">" + obj.serviceType.name + "</option>");
+        if (obj.serviceStatus === 'ACTIVE') {
+            $el.append("<option value=" + obj.id + ">" + obj.serviceType.name + "</option>");
+        }
     });
 }