Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
+++ resources/views/dashboard/files/index.blade.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
@@ -76,11 +76,7 @@
 {{--                                                        </a>--}}
 {{--                                                    </div>--}}
-                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                        <i class="fa fa-file-image-o text-danger fa-2x"></i>
-                                                    </div>
+                                                        <i class="fa fa-file-image-o text-danger"></i>
                                                 @else
-                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                    <i class="fa fa-file-text-o text-warning fa-2x"></i>
-                                                    </div>
+                                                    <i class="fa fa-file-text-o text-warning"></i>
                                                 @endif
                                             @endif
@@ -107,4 +103,7 @@
                                     @if(auth()->user()->hasPermission('manage_all_files'))
                                     <td>
+                                        <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
+                                            <i class="ti-pencil"></i>
+                                        </a>
                                         <a href="{{ route("dashboard.files.downloadFile", ['id' => $file->id]) }}" class="text-danger ml-2"title="Download">
                                             <i class="ti-download"></i>
@@ -145,4 +144,37 @@
                                 </div>
 
+                                <div class="modal fade" id="editModal_{{$file->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Rename file</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.files.renameFile", ["id" =>$file->id]) }}" method="post" accept-charset="utf-8">
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-12">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Current name: {{$file->name}}</label>
+                                                                <input type="text" name="name" value="{{ explode('.', $file->name)[0] }}" maxlength="255" title="Don't include: '\/.|'" pattern="^[^.\/|]+$" class="form-control" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <br/>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
                             @endforeach
 
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
+++ resources/views/dashboard/folders/files.blade.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
@@ -8,4 +8,11 @@
         <div class="col-md-3 app-sidebar">
             <div class="card">
+                <div class="card-body">
+                    @if(auth()->user()->hasPermission('manage_all_files'))
+                        <a href="javascript:void(0)" class="btn btn-secondary btn-block file-upload-btn text-white" data-toggle="modal" data-target="#uploadFiles_{{$folder->id}}">
+                            Upload files
+                        </a>
+                    @endif
+                </div>
                 <div class="app-sidebar-menu">
                     <div class="list-group list-group-flush">
@@ -15,9 +22,17 @@
                         </a>
                         @foreach($folders as $obj)
-                            <a href="{{ route("dashboard.folders.files", ["id" => $obj->id]) }}" class="list-group-item d-flex align-items-center">
+                            @if($obj == $folder)
+                            <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="list-group-item d-flex align-items-center" style="font-weight: bold;">
                                 <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                                {{$obj->name}}
-                                <span class="small ml-auto">{{$obj->files->count()}}</span>
+                                {{$folder->name}}
+                                <span class="small ml-auto">{{$folder->files->count()}}</span>
                             </a>
+                            @else
+                                <a href="{{ route("dashboard.folders.files", ["id" => $obj->id]) }}" class="list-group-item d-flex align-items-center">
+                                    <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                                    {{$obj->name}}
+                                    <span class="small ml-auto">{{$obj->files->count()}}</span>
+                                </a>
+                                @endif
                         @endforeach
                     </div>
@@ -54,5 +69,5 @@
             </div>
 
-            <p>Files</p>
+            <p>Files in {{$folder->name}}</p>
 
             <div class="row">
@@ -75,7 +90,5 @@
 {{--                                                </a>--}}
 {{--                                            </div>--}}
-                                            <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <i class="fa fa-file-image-o text-danger fa-2x"></i>
-                                            </div>
+                                                <i class="fa fa-file-image-o text-danger"></i>
                                         @else
                                             <i class="fa fa-file-text-o text-warning"></i>
@@ -145,5 +158,45 @@
 
         </div>
-
+        <div class="modal fade" id="uploadFiles_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+            <div class="modal-dialog modal-dialog-centered" role="document">
+                <div class="modal-content">
+                    <div class="modal-header">
+                        <h5 class="modal-title" id="exampleModalCenterTitle">Upload</h5>
+                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                            <i class="ti-close"></i>
+                        </button>
+                    </div>
+                    <div class="modal-body">
+                        <form action="{{ route("dashboard.files.store") }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                            @csrf
+                            <div class="row">
+                                <div class="col-md-10">
+                                    <div class="form-group">
+                                        <select class="form-control" name="folder" hidden>
+                                            <option value="{{ $folder->id }}" {{ (old("folder") == $folder->id ? "selected" : "") }}>{{ $folder->name }}</option>
+                                        </select>
+                                    </div>
+                                </div>
+                                <div class="col-md-10">
+                                    <div class="form-group">
+                                        <label for="exampleFormControlSelect1">Files</label>
+
+
+                                        <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
+                                    </div>
+                                </div>
+                            </div>
+                            <br/>
+                            <div class="modal-footer">
+                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                </button>
+                                <button type="submit" class="btn btn-primary">Save changes</button>
+                            </div>
+                        </form>
+                    </div>
+
+                </div>
+            </div>
+        </div>
     </div>
 
Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
+++ resources/views/dashboard/folders/index.blade.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
@@ -22,9 +22,17 @@
                         </a>
                         @foreach($departments as $department)
-                            <a href="{{ route("dashboard.folders.index", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center">
+                            @if(Request::query('id') == $department->id)
+                            <a href="{{ route("dashboard.folders.index", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center" style="font-weight: bold;">
                                 <i data-feather="folder" class="width-15 height-15 mr-2"></i>
                                 {{$department->name}}
                                 <span class="small ml-auto">{{$department->folder->count()}}</span>
                             </a>
+                            @else
+                                <a href="{{ route("dashboard.folders.index", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center">
+                                <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                                {{$department->name}}
+                                <span class="small ml-auto">{{$department->folder->count()}}</span>
+                            </a>
+                            @endif
                         @endforeach
                         <a href="{{ URL::current()."?sort=recent" }}" class="list-group-item">
@@ -138,4 +146,7 @@
                                         <div class="dropdown-menu dropdown-menu-right">
                                             <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="dropdown-item">View files</a>
+                                            @if(auth()->user()->hasPermission('manage_all_files'))
+                                                <a href="javascript:void(0)" data-toggle="modal" data-target="#uploadFiles_{{$folder->id}}" class="dropdown-item">Upload files</a>
+                                            @endif
                                             @if(auth()->user()->hasPermission('download_data'))
                                             <a href="{{ route("dashboard.folders.downloadFolder", ['id' => $folder->id]) }}" class="dropdown-item">Download</a>
@@ -186,4 +197,46 @@
                                     </form>
                                 </div>
+                            </div>
+                        </div>
+                    </div>
+
+                    <div class="modal fade" id="uploadFiles_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                        <div class="modal-dialog modal-dialog-centered" role="document">
+                            <div class="modal-content">
+                                <div class="modal-header">
+                                    <h5 class="modal-title" id="exampleModalCenterTitle">Upload</h5>
+                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                        <i class="ti-close"></i>
+                                    </button>
+                                </div>
+                                <div class="modal-body">
+                                    <form action="{{ route("dashboard.files.store") }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                                        @csrf
+                                        <div class="row">
+                                            <div class="col-md-10">
+                                                <div class="form-group">
+                                                        <select class="form-control" name="folder" hidden>
+                                                                <option value="{{ $folder->id }}" {{ (old("folder") == $folder->id ? "selected" : "") }}>{{ $folder->name }}</option>
+                                                        </select>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-10">
+                                                <div class="form-group">
+                                                    <label for="exampleFormControlSelect1">Files</label>
+
+
+                                                    <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <br/>
+                                        <div class="modal-footer">
+                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                            </button>
+                                            <button type="submit" class="btn btn-primary">Save changes</button>
+                                        </div>
+                                    </form>
+                                </div>
+
                             </div>
                         </div>
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
+++ resources/views/dashboard/index.blade.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
@@ -151,11 +151,7 @@
 {{--                                                        </a>--}}
 {{--                                                    </div>--}}
-                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                        <i class="fa fa-file-image-o text-danger fa-2x"></i>
-                                                    </div>
+                                                        <i class="fa fa-file-image-o text-danger"></i>
                                                 @else
-                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                        <i class="fa fa-file-text-o text-warning fa-2x"></i>
-                                                    </div>
+                                                        <i class="fa fa-file-text-o text-warning"></i>
                                                 @endif
                                             @endif