Index: PostgreSqlDotnetCore/Controllers/BlogController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision 784b3ad6420c8fa9640b0729b33503c54890a454)
+++ PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision 2639fab359508f3b32dc9d13a69c79dcec869305)
@@ -60,10 +60,5 @@
         public ActionResult Create()
         {
-            var model = new BlogPostConsultation
-            {
-                //date_askes = DateTime.Now // Поставете го датумот на моменталниот датум
-                // date_askes= DateTime.UtcNow.Date
-                date_askes = DateOnly.FromDateTime(DateTime.UtcNow.Date)
-            };
+            var model = new BlogPostConsultation();
             return View(model);
         }
@@ -83,7 +78,4 @@
                     var user = await _userManager.GetUserAsync(User);
                     var customerClass = db.CustomerObj.SingleOrDefault(x => x.email == user.Email);
-                    // blogClass.date_askes = new DateTime();
-                    // blogClass.date_askes = DateTime.UtcNow;
-                    blogClass.date_askes = DateOnly.FromDateTime(DateTime.UtcNow);
                     blogClass.users_id = customerClass.id;
                     db.BlogPostControllerObj.Add(blogClass);
Index: PostgreSqlDotnetCore/Controllers/ProductsController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision 784b3ad6420c8fa9640b0729b33503c54890a454)
+++ PostgreSqlDotnetCore/Controllers/ProductsController.cs	(revision 2639fab359508f3b32dc9d13a69c79dcec869305)
@@ -2,6 +2,10 @@
 using Microsoft.AspNetCore.Mvc;
 using Microsoft.EntityFrameworkCore;
+using Npgsql;
+using System.Linq;
 using PostgreSqlDotnetCore.Models;
-using System.Net;
+//using System.Net;
+using System.Threading.Tasks;
+using PostgreSqlDotnetCore.Data;
 
 namespace PostgreSqlDotnetCore.Controllers
@@ -9,4 +13,5 @@
     public class ProductsController : BaseController
     {
+
         public ProductsController(UserManager<IdentityUser> userManager) : base(userManager)
         {
@@ -68,8 +73,11 @@
             var model = new ProductsClass
             {
-                dateadded = DateTime.Now // Поставете го датумот на моменталниот датум
+              //  dateadded = DateTime.Now // Поставете го датумот на моменталниот датум
             };
             return View(model);
         }
+
+
+
 
         // POST: Customer/Create
@@ -78,9 +86,9 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public ActionResult Create([Bind(include: "id,name,description,price, is_active, dateadded, category")] ProductsClass prodClass)
+        public ActionResult Create([Bind(include: "id,name,description,price, is_active, dateadded, category, int available_quantity")] ProductsClass prodClass)
         {
             if (ModelState.IsValid)
             {
-                prodClass.dateadded = new DateTime();
+              //  prodClass.dateadded = new DateTime();
                 prodClass.isactive = true;
                 db.ProductObj.Add(prodClass);
@@ -91,4 +99,14 @@
             return View(prodClass);
         }
+
+
+
+
+
+
+
+
+
+
 
         // GET: Customer/Edit/5
@@ -117,5 +135,5 @@
         [HttpPost]
         [ValidateAntiForgeryToken]
-        public ActionResult Edit([Bind(include: "id,name,description,price, is_active, dateadded, category")] ProductsClass prodClass)
+        public ActionResult Edit([Bind(include: "id,name,description,price, is_active, dateadded, category, int available_quantity")] ProductsClass prodClass)
         {
             if (ModelState.IsValid)
Index: PostgreSqlDotnetCore/Controllers/VetCenterController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision 784b3ad6420c8fa9640b0729b33503c54890a454)
+++ PostgreSqlDotnetCore/Controllers/VetCenterController.cs	(revision 2639fab359508f3b32dc9d13a69c79dcec869305)