Index: src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -6,4 +6,5 @@
 
 import javax.annotation.PostConstruct;
+import java.util.Collections;
 import java.util.List;
 
@@ -36,10 +37,10 @@
     public void initData(){
         Person member = this.userService.register("MemberName", "MemberSurname",
-                "MemberAddres", "MemberTown", "071/111/222", "memberemail@hotmail.com", "baza123!");
+                "MemberAddress", "MemberTown", "071/111/222", "memberemail@hotmail.com", "baza123!");
 
         //LIBRARIES
         Library library = this.libraryService.create(1L,"Grigor Prlicev", "Ohrid");
-        this.libraryService.create(2L, "Braka Miladinovci", "Struga");
-        this.libraryService.create(3L, "Braka Miladinovci", "Skopje");
+//        this.libraryService.create(2L, "Braka Miladinovci", "Struga");
+//        this.libraryService.create(3L, "Braka Miladinovci", "Skopje");
 
         //GENRES
@@ -63,9 +64,6 @@
         this.bookService.create(1113L, "No time for goodbye",0, false, 30, 50);
 
-        if("thriller".equals(genreService.findById(1L).toString()) && "Inferno".equals(bookService.findById(1L).getBookName())){
-            Genre genre1 = genreService.findById(1L);
-            Writer writer1 = writerService.findById(1L);
-            this.bookService.update(1111L, "Inferno",3, true, 30, 50, List.of(genre1.getId()), List.of(writer1.getId()), 1L);
-        }
+//        this.bookService.createB(1114L,"Seat 7A", 5, true, 30, 50, Collections.singletonList(((Long) bookService.findById(2L).getGenre().getId())),
+//                List.of(3L), 1L);
 
         //SCHOOLTYPES
@@ -84,5 +82,5 @@
         this.priceListService.create(3L, 300); //yearly - other
         this.priceListService.create(5L, 150); //yearly - primary school
-        this.priceListService.create(6L, 250); //yearly - high school
+        this.priceListService.create(6L, 300); //yearly - high school
 
         //ROOMS
Index: src/main/java/mk/ukim/finki/db/library/model/Library.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -33,4 +33,8 @@
     private List<Book> books;
 
+    public String getLibraryName() {
+        return libraryName;
+    }
+
     public void addBook(Book book) {
         this.books.add(book);
Index: src/main/java/mk/ukim/finki/db/library/model/Room.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -55,3 +55,7 @@
         this.freePlaces = freePlaces;
     }
+
+    public String getName() {
+        return name;
+    }
 }
Index: src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -5,8 +5,12 @@
 import org.springframework.stereotype.Repository;
 
+import java.util.List;
+
 @Repository
 public interface BookRepository extends JpaRepository<Book, Long> {
 
-    //TODO: listBooksByName, listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
+    //TODO: listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
     //TODO: listBooksByGenre, listBooksByWriter
+
+    List<Book> findByBookName(String bookName);
 }
Index: src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -1,9 +1,14 @@
 package mk.ukim.finki.db.library.repository;
 
+import mk.ukim.finki.db.library.model.Book;
 import mk.ukim.finki.db.library.model.Room;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.stereotype.Repository;
 
+import java.util.List;
+
 @Repository
 public interface RoomRepository extends JpaRepository<Room, Long> {
+
+    List<Room> findByName(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/BookService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -20,3 +20,4 @@
     Book createB(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId); //, List<Long> genreIds, List<Long> writerIds
 
+    List<Book> findByBookName(String bookName);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/RoomService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -12,3 +12,5 @@
 
     Room create(Long id, String name, int places, int freePlaces);
+
+    List<Room> findByName(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -2,4 +2,5 @@
 
 import mk.ukim.finki.db.library.model.*;
+import mk.ukim.finki.db.library.model.exception.InvalidArgumentsException;
 import mk.ukim.finki.db.library.model.exception.InvalidBookIdException;
 import mk.ukim.finki.db.library.model.exception.LibraryNotFoundException;
@@ -94,6 +95,15 @@
     }
 
+    @Override
+    public List<Book> findByBookName(String bookName) {
+        if(bookName == null || bookName.isEmpty()){
+            throw new InvalidArgumentsException();
+        }
+
+        return this.bookRepository.findByBookName(bookName);
+    }
+
     //in bookRepository
-    //TODO: listBooksByName, listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
+    //TODO: listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
     //TODO: listBooksByGenre, listBooksByWriter
 }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -1,5 +1,7 @@
 package mk.ukim.finki.db.library.service.impl;
 
+import mk.ukim.finki.db.library.model.Book;
 import mk.ukim.finki.db.library.model.Room;
+import mk.ukim.finki.db.library.model.exception.InvalidArgumentsException;
 import mk.ukim.finki.db.library.model.exception.InvalidRoomIdException;
 import mk.ukim.finki.db.library.repository.RoomRepository;
@@ -33,3 +35,12 @@
         return this.roomRepository.save(room);
     }
+
+    @Override
+    public List<Room> findByName(String name) {
+        if(name == null || name.isEmpty()){
+            throw new InvalidArgumentsException();
+        }
+
+        return this.roomRepository.findByName(name);
+    }
 }
Index: src/main/java/mk/ukim/finki/db/library/web/BookController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/BookController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/web/BookController.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -1,7 +1,19 @@
 package mk.ukim.finki.db.library.web;
 
+import mk.ukim.finki.db.library.model.Book;
+import mk.ukim.finki.db.library.model.Genre;
+import mk.ukim.finki.db.library.model.Library;
+import mk.ukim.finki.db.library.model.Writer;
 import mk.ukim.finki.db.library.service.BookService;
+import mk.ukim.finki.db.library.service.GenreService;
+import mk.ukim.finki.db.library.service.LibraryService;
+import mk.ukim.finki.db.library.service.WriterService;
 import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
 import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.util.List;
 
 @Controller
@@ -10,10 +22,43 @@
 
     private final BookService bookService;
+    private final WriterService writerService;
+    private final GenreService genreService;
+    private final LibraryService libraryService;
 
-    public BookController(BookService bookService) {
+    public BookController(BookService bookService, WriterService writerService, GenreService genreService, LibraryService libraryService) {
         this.bookService = bookService;
+        this.writerService = writerService;
+        this.genreService = genreService;
+        this.libraryService = libraryService;
     }
 
+    //List<Long> genreIds, List<Long> writerIds, Long libraryId
+    //will show all books that are available in a library
+    @GetMapping
+    public String showBooks(@RequestParam(required = false) String bookName,
+                            Model model){
 
+        List<Book> books;
+        //List<Writer> writers;
+        //List<Genre> genres;
+        //List<Library> libraries;
 
+        if(bookName == null){
+            books = this.bookService.listAllBooks();
+           // writers = this.writerService.listAll();
+           // genres = this.genreService.listAll();
+
+        } else {
+            books = this.bookService.findByBookName(bookName);
+//            writers = this.writerService.listAll();
+//            genres = this.genreService.listAll();
+        }
+
+        model.addAttribute("books", books);
+//        model.addAttribute("writers", writers);
+//        model.addAttribute("genres", genres);
+        //model.addAttribute("libraries", libraries);
+
+        return "book.html";
+    }
 }
Index: src/main/java/mk/ukim/finki/db/library/web/LoginController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/LoginController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/web/LoginController.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -35,5 +35,5 @@
                     request.getParameter("password"));
             request.getSession().setAttribute("username", member);
-            return "redirect:/books";
+            return "redirect:/book";
         }
         catch (InvalidUserCredentialsException exception) {
Index: src/main/java/mk/ukim/finki/db/library/web/ReservationBookController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/ReservationBookController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/java/mk/ukim/finki/db/library/web/ReservationBookController.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -5,5 +5,7 @@
 
 @Controller
-@RequestMapping("/reservationBook")
+@RequestMapping("/resBook")
 public class ReservationBookController {
+
+
 }
Index: src/main/java/mk/ukim/finki/db/library/web/RoomController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/RoomController.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
+++ src/main/java/mk/ukim/finki/db/library/web/RoomController.java	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -0,0 +1,45 @@
+package mk.ukim.finki.db.library.web;
+
+import mk.ukim.finki.db.library.model.Book;
+import mk.ukim.finki.db.library.model.Room;
+import mk.ukim.finki.db.library.service.LibraryService;
+import mk.ukim.finki.db.library.service.RoomService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.util.List;
+
+@Controller
+@RequestMapping("/room")
+public class RoomController {
+
+    private final RoomService roomService;
+    private final LibraryService libraryService;
+
+    public RoomController(RoomService roomService, LibraryService libraryService) {
+        this.roomService = roomService;
+        this.libraryService = libraryService;
+    }
+
+    //will show all rooms with info for them
+    @GetMapping
+    public String showBooks(@RequestParam(required = false) String name,
+                            Model model){
+
+        List<Room> rooms;
+
+        if(name == null){
+            rooms = this.roomService.listAll();
+        } else {
+            rooms = this.roomService.findByName(name);
+        }
+
+        model.addAttribute("rooms", rooms);
+        //model.addAttribute("libraries", libraries);
+
+        return "room.html";
+    }
+}
Index: src/main/resources/templates/book.html
===================================================================
--- src/main/resources/templates/book.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/resources/templates/book.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -25,11 +25,8 @@
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
+          <a class="nav-link active" href="/book">КНИГИ</a>
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="/guide">УПАТСТВО</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/book">КНИГИ</a>
+          <a class="nav-link active" href="/room">ПРОСТОРИИ</a>
         </li>
       </ul>
@@ -47,5 +44,5 @@
 <div class="container">
   <section class="jumbotron text-center">
-    <h2 class="jumbotron-heading">Достапни книги</h2>
+    <h2 class="jumbotron-heading"><b>Достапни книги</b></h2>
   </section>
 
@@ -60,13 +57,22 @@
           <table class="table table-striped">
             <thead>
-            <th scope="col">Book Name</th>
-            <th scope="col">Price</th>
-            <th scope="col">Price Late</th>
-            <th scope="col">Genre</th>
-            <th scope="col">Library</th>
+            <th scope="col">Име на книга</th>
+            <th scope="col">Број на книга</th>
+            <th scope="col">Цена</th>
+            <th scope="col">Цена со задоцнување</th>
+            <th scope="col">Автор</th>
+            <th scope="col">Жанр</th>
+            <th scope="col"></th>
             </thead>
             <tbody>
-            <tr>
-              <td></td>
+            <tr th:each="book : ${books}" class="book">
+              <td th:text="${book.getBookName()}"></td>
+              <td th:text="${book.getBookNumber()}"></td>
+              <td th:text="${book.getBookPrice()}"></td>
+              <td th:text="${book.getBookPriceLate()}"></td>
+              <td th:each="writer : ${writers}" th:if="${book.getWriters().contains(writer)}" th:text="${writer.getWriterName()}"></td>
+              <td th:each="genre : ${genres}" th:if="${book.getGenre().contains(genre)}" th:text="${genre.getGenreName()}"></td>
+              <td><a class="btn btn-primary btn-sm ml-3" href="/resBook">Резервација</a>
+                <a class="btn btn-primary btn-sm ml-3" href="/online">Симнување</a></td>
             </tr>
             </tbody>
@@ -76,19 +82,4 @@
       </div>
     </div>
-  </div>
-
-  <div>
-    <table>
-
-      <!-- For each news you should have one <tr> like below -->
-      <tr class="item" th:each="book:${book}">
-        <td th:text="${book.bookName}">[book.bookName]</td>
-        <td th:text="${book.bookPrice}">[book.bookPrice]</td>
-        <td th:text="${book.bookPriceLate}">[book.bookPriceLate]</td>
-        <td th:text="${book.getGenreOfBook()}">[book.genreOfBook]</td>
-        <td th:text="${book.getLibraryOfBook()}">[book.libraryOfBook]</td>\
-
-      </tr>
-    </table>
   </div>
 
Index: c/main/resources/templates/onlinePayment.html
===================================================================
--- src/main/resources/templates/onlinePayment.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ 	(revision )
@@ -1,87 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-  <meta charset="UTF-8">
-  <title>Online Payment</title>
-</head>
-<body>
-<!--Header!!-->
-<nav class="navbar navbar-expand-md navbar-dark bg-dark">
-  <div class="container">
-    <a class="navbar-brand" href="/home">ONLINE  LIBRARY</a>
-    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
-            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
-      <span class="navbar-toggler-icon"></span>
-    </button>
-
-    <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
-      <ul class="navbar-nav m-auto">
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/home">ПОЧЕТНА</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/guide">УПАТСТВО</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/book">ЛИСТА НА КНИГИ</a>
-        </li>
-      </ul>
-    </div>
-  </div>
-</nav>
-
-<section class="jumbotron text-center">
-  <div class="container">
-    <form class="form-signin mt-xl-2 col-md-6" method="post" action="/paymentOnline">
-      <h2 class="form-signin-heading">Онлајн плаќање</h2>
-      <br>
-      <p>
-        <label for="name" class="sr-only">Име и презиме:</label>
-        <input type="text" id="name" name="name" class="form-control" placeholder="Name" required="" autofocus="">
-      </p>
-      <p>
-        <label for="surname" class="sr-only">Број на картичка:</label>
-        <input type="text" id="surname" name="surname" class="form-control" placeholder="Surname" required="" autofocus="">
-      </p>
-      <p>
-        <label for="birth" class="sr-only">Рок на важност:</label>
-        <input type="date" id="birth" name="birth" class="form-control" placeholder="Birth" required="" autofocus="">
-      </p>
-      <p>
-        <label for="cvc" class="sr-only">CVV2/CVC2:</label>
-        <input type="text" id="cvc" name="cvc" class="form-control" placeholder="Cvc" required="" autofocus="">
-      </p>
-      <p>
-        <label for="address" class="sr-only">Износ:</label>
-        <input type="text" id="address" name="address" class="form-control" placeholder="Address" required="" autofocus="">
-      </p>
-
-      <button class="btn btn-lg btn-primary btn-block" type="submit">Потврди</button>
-      <button class="btn btn-lg btn-primary btn-block" type="submit">Откажи</button>
-      <br>
-    </form>
-  </div>
-</section>
-
-<!-- Footer -->
-<footer class="text-black-50 mt-xl-5">
-  <div class="container">
-    <div class="row">
-      <div class="col-md-3 col-lg-1 col-xl-5">
-        <h5>Contact</h5>
-        <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
-        <ul class="list-unstyled">
-          <li><i class="fa fa-envelope mr-2"></i>onlinelibrary@library.com</li>
-          <li><i class="fa fa-phone mr-2"></i> + 33 12 14 15 16</li>
-          <li><i class="fa fa-print mr-2"></i> + 33 12 14 15 16</li>
-        </ul>
-      </div>
-    </div>
-  </div>
-</footer>
-
-</body>
-</html>
Index: src/main/resources/templates/register.html
===================================================================
--- src/main/resources/templates/register.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
+++ src/main/resources/templates/register.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -25,8 +25,8 @@
                 </li>
                 <li class="nav-item m-auto">
-                    <a class="nav-link active" href="info.html">ИНФОРМАЦИИ</a>
+                    <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
                 </li>
                 <li class="nav-item m-auto">
-                    <a class="nav-link active" href="guide.html">УПАТСТВО</a>
+                    <a class="nav-link active" href="/guide">УПАТСТВО</a>
                 </li>
             </ul>
Index: src/main/resources/templates/resBook.html
===================================================================
--- src/main/resources/templates/resBook.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
+++ src/main/resources/templates/resBook.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -0,0 +1,78 @@
+<!DOCTYPE html>
+<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
+<head>
+  <meta charset="UTF-8"/>
+  <title>Reservation</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+</head>
+<body>
+<!--Header-->
+<nav class="navbar navbar-expand-md navbar-dark bg-dark">
+  <div class="container">
+    <a class="navbar-brand" href="/home">ONLINE  LIBRARY</a>
+    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+      <span class="navbar-toggler-icon"></span>
+    </button>
+
+    <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+      <ul class="navbar-nav m-auto">
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/home">ПОЧЕТНА</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/book">КНИГИ</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/room">ПРОСТОРИИ</a>
+        </li>
+      </ul>
+
+      <form class="form-inline my-2 my-lg-0">
+        <a class="btn btn-primary btn-sm ml-3" href="/logout">
+          <i class="fa fa-shopping-cart"></i> ОДЈАВИ СЕ
+        </a>
+      </form>
+    </div>
+  </div>
+</nav>
+
+<!--Main-->
+<div class="container">
+  <section class="jumbotron text-center">
+    <h2 class="jumbotron-heading"><b>Резервација на книга</b></h2>
+  </section>
+
+  <div th:if="${hasError}">
+    <h5 class="text-center text-danger" th:text="${error}"></h5>
+  </div>
+
+  <div class="container mb-4">
+    <div class="row">
+
+    </div>
+  </div>
+
+</div>
+
+<!-- Footer -->
+<footer class="text-black-50 mt-xl-5">
+  <div class="container">
+    <div class="row">
+      <div class="col-md-3 col-lg-1 col-xl-5">
+        <h5>Contact</h5>
+        <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
+        <ul class="list-unstyled">
+          <li><i class="fa fa-envelope mr-2"></i>onlinelibrary@library.com</li>
+          <li><i class="fa fa-phone mr-2"></i> + 33 12 14 15 16</li>
+          <li><i class="fa fa-print mr-2"></i> + 33 12 14 15 16</li>
+        </ul>
+      </div>
+    </div>
+  </div>
+</footer>
+</body>
+</html>
Index: src/main/resources/templates/room.html
===================================================================
--- src/main/resources/templates/room.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
+++ src/main/resources/templates/room.html	(revision 3692f0d08a93849036e39787a1ad9fe66dc21ca4)
@@ -0,0 +1,99 @@
+<!DOCTYPE html>
+<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
+<head>
+  <meta charset="UTF-8"/>
+  <title>Room</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+</head>
+<body>
+<!--Header-->
+<nav class="navbar navbar-expand-md navbar-dark bg-dark">
+  <div class="container">
+    <a class="navbar-brand" href="/home">ONLINE  LIBRARY</a>
+    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+      <span class="navbar-toggler-icon"></span>
+    </button>
+
+    <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+      <ul class="navbar-nav m-auto">
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/home">ПОЧЕТНА</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/book">КНИГИ</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/room">ПРОСТОРИИ</a>
+        </li>
+      </ul>
+
+      <form class="form-inline my-2 my-lg-0">
+        <a class="btn btn-primary btn-sm ml-3" href="/logout">
+          <i class="fa fa-shopping-cart"></i> ОДЈАВИ СЕ
+        </a>
+      </form>
+    </div>
+  </div>
+</nav>
+
+<!--Main-->
+<div class="container">
+  <section class="jumbotron text-center">
+    <h2 class="jumbotron-heading"><b>Простории за учење</b></h2>
+  </section>
+
+  <div th:if="${hasError}">
+    <h5 class="text-center text-danger" th:text="${error}"></h5>
+  </div>
+
+  <div class="container mb-4">
+    <div class="row">
+      <div class="col-12" >
+        <div class="table-responsive">
+          <table class="table table-striped">
+            <thead>
+            <th scope="col">Име на просторија</th>
+            <th scope="col">Капацитет</th>
+            <th scope="col">Слободни места</th>
+            <th scope="col"></th>
+            </thead>
+            <tbody>
+            <tr th:each="room : ${rooms}" class="room">
+              <td th:text="${room.getName()}"></td>
+              <td th:text="${room.getPlaces()}"></td>
+              <td th:text="${room.getFreePlaces()}"></td>
+              <td><a class="btn btn-primary btn-sm ml-3" href="/resPlace">Резервација</a>
+                </td>
+            </tr>
+            </tbody>
+
+          </table>
+        </div>
+      </div>
+    </div>
+  </div>
+
+</div>
+
+<!-- Footer -->
+<footer class="text-black-50 mt-xl-5">
+  <div class="container">
+    <div class="row">
+      <div class="col-md-3 col-lg-1 col-xl-5">
+        <h5>Contact</h5>
+        <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
+        <ul class="list-unstyled">
+          <li><i class="fa fa-envelope mr-2"></i>onlinelibrary@library.com</li>
+          <li><i class="fa fa-phone mr-2"></i> + 33 12 14 15 16</li>
+          <li><i class="fa fa-print mr-2"></i> + 33 12 14 15 16</li>
+        </ul>
+      </div>
+    </div>
+  </div>
+</footer>
+</body>
+</html>