Index: src/main/resources/templates/events.html
===================================================================
--- src/main/resources/templates/events.html	(revision bcb4accb809ca45c2b9eeeadf89de756063e4bd3)
+++ src/main/resources/templates/events.html	(revision 4173acf0cc129a6eff97d7c99f80e560a0a96e4d)
@@ -203,18 +203,24 @@
     <form style="margin-left: 20px" th:action="@{'/home/events'}"
           th:method="GET">
-
-        <div class="form-group">
-            <label style="color: white;font-size: 20px;font-weight: bold">Избери Кино:</label>
-            <select name="id_cinema" class="form-control" id="id_cinema">
-                <option th:value="${null}" text="Please Select"></option>
-                <option
-                        th:each="cinema : ${cinemas}"
-                        th:value="${cinema.getId_cinema()}"
-                        th:text="${cinema.getName()}">
-                </option>
-            </select>
-
+        <div class="row">
+
+            <div class="form-group col-2">
+                <label style="color: white;font-size: 20px;font-weight: bold">Избери Кино:</label>
+                <select name="id_cinema" class="form-control" id="id_cinema">
+                    <option th:value="${null}" text="Please Select"></option>
+                    <option
+                            th:each="cinema : ${cinemas}"
+                            th:value="${cinema.getId_cinema()}"
+                            th:text="${cinema.getName()}">
+                    </option>
+                </select>
+
+
+            </div>
+            <div class="col-10 mt-4">
+                <button class="button" type="submit">Филтрирај</button>
+            </div>
         </div>
-        <button class="button" type="submit">Filter</button>
+
     </form>
 
Index: src/main/resources/templates/films.html
===================================================================
--- src/main/resources/templates/films.html	(revision bcb4accb809ca45c2b9eeeadf89de756063e4bd3)
+++ src/main/resources/templates/films.html	(revision 4173acf0cc129a6eff97d7c99f80e560a0a96e4d)
@@ -203,6 +203,7 @@
     <form style="margin-left: 20px" th:action="@{'/home/films'}"
         th:method="GET">
-
-    <div class="form-group">
+<div class="row">
+
+    <div class="form-group col-2">
         <label style="color: white;font-size: 20px;font-weight: bold">Избери Кино:</label>
         <select name="id_cinema" class="form-control" id="id_cinema">
@@ -216,6 +217,6 @@
 
     </div>
-        <div class="form-group">
-            <label style="color: white;font-size: 20px;font-weight: bold">Избери Жарн:</label>
+        <div class="form-group col-2">
+            <label style="color: white;font-size: 20px;font-weight: bold">Избери Жанр:</label>
             <select name="id_genre" class="form-control" id="id_genre">
                 <option th:value="${null}" text="Please Select"></option>
@@ -228,5 +229,9 @@
 
         </div>
-        <button class="button" type="submit">Filter</button>
+    <div class="col-8 mt-4">
+        <button class="button" type="submit">Филтрирај</button>
+
+    </div>
+</div>
     </form>
 
@@ -259,2 +264,3 @@
     </div>
 </div>
+</div>
Index: src/main/resources/templates/projections.html
===================================================================
--- src/main/resources/templates/projections.html	(revision bcb4accb809ca45c2b9eeeadf89de756063e4bd3)
+++ src/main/resources/templates/projections.html	(revision 4173acf0cc129a6eff97d7c99f80e560a0a96e4d)
@@ -202,6 +202,7 @@
     <form style="margin-left: 20px" th:action="@{'/home/projections'}"
           th:method="GET">
-
-        <div class="form-group">
+<div class="row">
+
+        <div class="form-group col-2">
             <label style="color: white;font-size: 20px;font-weight: bold">Избери Кино:</label>
             <select name="id_cinema" class="form-control" id="id_cinema">
@@ -215,5 +216,10 @@
 
         </div>
-        <button class="button" type="submit">Filter</button>
+    <div class="col-10 mt-4">
+        <button class="button" type="submit">Филтрирај</button>
+    </div>
+
+</div>
+
     </form>
 <div xmlns:th="http://www.thymeleaf.org">