Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision fdfc6fade01d67cb877bcbf08aa15d0b2235e3c0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisation.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -1,8 +1,5 @@
 package finki.paw5.model.relations;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.Entity;
-import jakarta.persistence.Id;
-import jakarta.persistence.Table;
+import jakarta.persistence.*;
 import lombok.Data;
 
@@ -10,4 +7,5 @@
 @Entity
 @Table(name = "donor_donates_to_organisation")
+@IdClass(DonorDonatesToOrganisationId.class)
 public class DonorDonatesToOrganisation {
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/DonorDonatesToOrganisationId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -0,0 +1,13 @@
+package finki.paw5.model.relations;
+
+import lombok.Data;
+
+import java.io.Serializable;
+
+@Data
+public class DonorDonatesToOrganisationId implements Serializable {
+
+    int userId;
+    int organisationId;
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision fdfc6fade01d67cb877bcbf08aa15d0b2235e3c0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategory.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -1,8 +1,5 @@
 package finki.paw5.model.relations;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.Entity;
-import jakarta.persistence.Id;
-import jakarta.persistence.Table;
+import jakarta.persistence.*;
 import lombok.Data;
 
@@ -10,4 +7,5 @@
 @Entity
 @Table(name = "pet_belongs_to_category")
+@IdClass(PetBelongsToCategoryId.class)
 public class PetBelongsToCategory {
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetBelongsToCategoryId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -0,0 +1,13 @@
+package finki.paw5.model.relations;
+
+import lombok.Data;
+
+import java.io.Serializable;
+
+@Data
+public class PetBelongsToCategoryId implements Serializable {
+
+    int petId;
+    int categoryId;
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision fdfc6fade01d67cb877bcbf08aa15d0b2235e3c0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -1,8 +1,5 @@
 package finki.paw5.model.relations;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.Entity;
-import jakarta.persistence.Id;
-import jakarta.persistence.Table;
+import jakarta.persistence.*;
 import lombok.Data;
 
@@ -13,4 +10,5 @@
 @Entity
 @Table(name = "pet_needs_intervention_in_vet_clinic")
+@IdClass(PetNeedsInterventionInVetClinicId.class)
 public class PetNeedsInterventionInVetClinic {
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinicId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -0,0 +1,13 @@
+package finki.paw5.model.relations;
+
+import lombok.Data;
+
+import java.io.Serializable;
+
+@Data
+public class PetNeedsInterventionInVetClinicId implements Serializable {
+
+    int petId;
+    int vetClinicId;
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision fdfc6fade01d67cb877bcbf08aa15d0b2235e3c0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapy.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -1,8 +1,5 @@
 package finki.paw5.model.relations;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.Entity;
-import jakarta.persistence.Id;
-import jakarta.persistence.Table;
+import jakarta.persistence.*;
 import lombok.Data;
 
@@ -10,4 +7,5 @@
 @Entity
 @Table(name = "pet_needs_therapy")
+@IdClass(PetNeedsTherapyId.class)
 public class PetNeedsTherapy {
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsTherapyId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -0,0 +1,13 @@
+package finki.paw5.model.relations;
+
+import lombok.Data;
+
+import java.io.Serializable;
+
+@Data
+public class PetNeedsTherapyId implements Serializable {
+
+    int petId;
+    int therapyId;
+    
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision fdfc6fade01d67cb877bcbf08aa15d0b2235e3c0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFood.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -1,8 +1,5 @@
 package finki.paw5.model.relations;
 
-import jakarta.persistence.Column;
-import jakarta.persistence.Entity;
-import jakarta.persistence.Id;
-import jakarta.persistence.Table;
+import jakarta.persistence.*;
 import lombok.Data;
 
@@ -10,4 +7,5 @@
 @Entity
 @Table(name = "pet_preferably_eats_food")
+@IdClass(PetPreferablyEatsFoodId.class)
 public class PetPreferablyEatsFood {
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetPreferablyEatsFoodId.java	(revision 4846b7a32d9e5c2e23b544ca3c71a26113067821)
@@ -0,0 +1,13 @@
+package finki.paw5.model.relations;
+
+import lombok.Data;
+
+import java.io.Serializable;
+
+@Data
+public class PetPreferablyEatsFoodId implements Serializable {
+
+    private int petId;
+    private int foodId;
+
+}